#1547 sdcclib always "Segmentation fault" on OS X

closed-fixed
nobody
librarian (5)
8
2013-05-25
2009-07-03
No

Mac OS X, MacBook MB403. sdcc -c any c source (even hello-world style simplest ones), then
sdcclib lib.lib source.rel
gets a
"Segmentation fault".
same action on windows can produce a lib without any error.

SDCC : mcs51/gbz80/z80/avr/ds390/pic16/pic14/TININative/xa51/ds400/hc08 2.9.0 #5416 (Jul 3 2009) (Mac OS X i386)

sdcclib: SDCC librarian version 1.2
by Jesus Calvino-Fraga

Both official build and user build (gcc 4.0.1) results the same.

hope the above info clear and detailed enough.

thanks!

kensenjiha@gmail.com

Discussion

  • martin white

    martin white - 2009-07-03
    • priority: 5 --> 8
     
  • Borut Ražem

    Borut Ražem - 2009-07-05

    This is not a solution of the bug, but an alternative:

    sdcc from version 2.9.0 on supports also ar format libraries, so you can use ar / asranlib commands to create a library. See sdccman documentation, section 3.1.6 Using ar to Create and Manage Libraries.

    The libraries, distributed with sdcc packages, are ar format libraries.

    Borut

     
  • Jesus Calvino-Fraga

    I can not reproduce the problem. What version of OS X are you using?

    Jesus

     
  • martin white

    martin white - 2009-07-06

    10.5.7 with all latest updates.

     
  • martin white

    martin white - 2009-07-06

    a simplest example, ( -l works 8-| )

    martin@~/tmp/code $ cat > a.c
    char test(char s)
    {
    return s * 2;
    }
    martin@~/tmp/code $ sdcc -c a.c
    martin@~/tmp/code $ sdcclib lib.lib a.rel
    Segmentation fault
    martin@~/tmp/code $ cat >a.txt
    a.rel
    martin@~/tmp/code $ sdcclib -l lib.lib a.txt
    Adding: a.rel
    martin@~/tmp/code $ ll
    total 112
    -rw-r--r-- 1 martin 3988 Jul 6 09:42 a.asm
    -rw-r--r-- 1 martin 40 Jul 6 09:42 a.c
    -rw-r--r-- 1 martin 7668 Jul 6 09:42 a.lst
    -rw-r--r-- 1 martin 938 Jul 6 09:42 a.rel
    -rw-r--r-- 1 martin 28106 Jul 6 09:42 a.sym
    -rw-r--r-- 1 martin 6 Jul 6 09:46 a.txt
    -rw-r--r-- 1 martin 1082 Jul 6 09:46 lib.lib
    martin@~/tmp/code $

     
  • Lubomir Nerad

    Lubomir Nerad - 2009-09-05

    I believe, this was fixed in revision 5451, patch #2788108.

     
  • Borut Ražem

    Borut Ražem - 2010-05-12
    • milestone: --> fixed
    • status: open --> closed-fixed
     

Log in to post a comment.